import { PrismaClient } from "@prisma/client";
import { books, members, loans } from "./data";
const prisma = new PrismaClient();

const seed = async () => {
  console.log(`Start seeding ...`);

  await prisma.member.createMany({ data: members });
  await prisma.book.createMany({ data: books });
  await prisma.loan.createMany({ data: loans });

  console.log(`Seeding finished.`);
};

seed()
  .then(async () => {
    await prisma.$disconnect();
  })
  .catch(async (e) => {
    console.error(e);
    await prisma.$disconnect();
    process.exit(1);
  });
