import prisma from "../client";
import { LoanReadAllParameters, LoanReadResult } from "./types/data";
import { Result } from "@badrap/result";

export const readMany = async (
  parameters?: LoanReadAllParameters
): LoanReadResult => {
  const order = parameters?.order ?? "desc";
  const activeLoan = parameters?.active ? null : { not: null };
  try {
    const loans = await prisma.loan.findMany({
      where: {
        returnDate: parameters?.active !== undefined ? activeLoan : undefined,
      },
      orderBy: {
        loanDate: order,
      },
    });
    return Result.ok(loans);
  } catch (error) {
    return Result.err(error as Error);
  }
};
