import prisma from "../client";
import { MemberCreateData, MemberCreateResult } from "./types/data";
import { Result } from "@badrap/result";

export const create = async (data: MemberCreateData): MemberCreateResult => {
  try {
    const member = await prisma.member.create({ data });
    return Result.ok(member);
  } catch (error) {
    return Result.err(error as Error);
  }
};
